<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    tools:context=".MainActivity">

    <ImageView
        android:id="@+id/imageView"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="32dp"
        android:contentDescription="@string/content_description"
        android:src="@drawable/gojek_home_logo" />

    <View
        android:id="@+id/dividerLogo"
        android:layout_width="match_parent"
        android:layout_height="4dp"
        android:layout_below="@id/imageView"
        android:layout_marginTop="12dp"
        android:background="@android:color/darker_gray" />

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/dividerLogo">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="12dp">


            <LinearLayout
                android:id="@+id/lButt"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:layout_alignParentTop="true"
                android:weightSum="4">
                <Button android:id="@+id/btn_txt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="Text"
                    android:layout_weight="1"/>
                <Button android:id="@+id/btn_num"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="Number"
                    android:layout_weight="1"/>
                <Button android:id="@+id/btn_tenum"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="Numtext"
                    android:layout_weight="1"/>
                <Button android:id="@+id/btn_json"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="JSON"
                    android:layout_weight="1"/>
            </LinearLayout>

            <TextView
                android:id="@+id/txtCryptoTA"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:layout_below="@+id/lButt"
                android:text="@string/crypto_ta"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/txtCryptoTADesc"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/txtCryptoTA"
                android:layout_marginTop="4dp"
                android:text="@string/the_decryption_will_be_happening_in_backend_side"
                android:textSize="10sp"
                android:textStyle="bold"
                tools:ignore="SmallSp" />

            <View
                android:id="@+id/dividerSDKVersion"
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_below="@id/txtCryptoTADesc"
                android:layout_marginTop="4dp"
                android:background="@android:color/darker_gray" />

            <TextView
                android:id="@+id/txtToRewriteToEncryptedFile"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/dividerSDKVersion"
                android:layout_marginTop="12dp"
                android:text="@string/text_to_signed"
                android:textStyle="bold" />

            <EditText
                android:id="@+id/inputMessage"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/txtToRewriteToEncryptedFile"
                android:hint="@string/input_something_here"
                android:inputType="text"
                tools:ignore="Autofill" />

            <Button
                android:id="@+id/btnSignMessage"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/inputMessage"
                android:layout_alignParentEnd="true"
                android:layout_marginTop="8dp"
                android:background="@drawable/btn_color_state"
                android:padding="12dp"
                android:text="@string/sign_message"
                android:textColor="@color/white" />

            <ProgressBar android:id="@+id/loading"
                android:layout_width="wrap_content"
                android:visibility="gone"
                android:layout_below="@+id/btnSignMessage"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"/>

            <TextView
                android:id="@+id/txtInfoAja"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/loading"
                android:layout_marginTop="16dp"
                android:hint="RESPONSE IS SHOWN"
                android:textStyle="bold"
                android:layout_centerHorizontal="true"
                android:textColor="@color/green"
                android:textColorHint="@color/green"
                android:visibility="gone"
                tools:visibility="visible" />

            <TextView
                android:id="@+id/txtSignedMessage"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/txtInfoAja"
                android:layout_marginTop="16dp"
                android:hint="@string/signed_message"
                android:textColor="@color/green"
                android:textColorHint="@color/green"
                android:visibility="gone"
                tools:visibility="visible" />

            <TextView
                android:id="@+id/txtErrorSignedMessage"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/txtSignedMessage"
                android:layout_marginTop="16dp"
                android:hint="@string/error_message"
                android:textColor="@color/red"
                android:textColorHint="@color/red"
                android:visibility="gone"
                tools:visibility="visible" />

        </RelativeLayout>

    </ScrollView>

</RelativeLayout>
